INTERFACE
SUBROUTINE M7_EMI_SO2&
 & ( KIDIA, KFDIA, KLON ,&
 & PCI , PGELAM,PGEMU, PLSM , PWIND,&
 & PSO2L, PSO2H, PSOGF,&
 & PFLXM7&
 & ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YO_AERO_M7 ,ONLY : nm7aer
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
REAL(KIND=JPRB) ,INTENT(IN) :: PCI(KLON), PGELAM(KLON), PGEMU(KLON), PLSM(KLON), PWIND(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSO2L(KLON), PSO2H(KLON), PSOGF(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFLXM7(KLON,nm7aer)
END SUBROUTINE M7_EMI_SO2
END INTERFACE
